/*
 *  FireWire_IO.h
 *  IFFW-DM
 *
 *  Created by Mathew Chasan on Thu Aug 12 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */


#ifndef __FIREWIRE_IO_INCLUDE_H
#define __FIREWIRE_IO_INCLUDE_H


class IFireWireIO
{
public:
virtual void SetBCDImage( unsigned char* data, long size)		= 0;
virtual bool ValidateBCDData( void )							= 0;
virtual int  CountBridgeCo1394Devices()							= 0;
virtual bool IsCompatibleDevice()								= 0; 
virtual bool IsUserAdministrator()								= 0; 
virtual bool DownloadBCDFile()									= 0; 
};

IFireWireIO & GetFireWireIO();

#endif
